> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List course items 

> Get published course items for an individual course

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-published-course-information
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-published-course-information:
    post:
      tags:
        - Course
      summary: 'List course items '
      description: |-
        Get published course items for an individual course

        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          fermionCourseId:
                            type: string
                            minLength: 1
                            description: >-
                              ID of the course. ID is permanent for a given
                              course. You can retrieve the course id with other
                              API resolvers available and store them in your
                              systems.
                          fermionSchoolId:
                            type: string
                            minLength: 1
                            description: >-
                              Fermion school ID. School ID is permanent for a
                              school.
                        required:
                          - fermionCourseId
                          - fermionSchoolId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                response:
                                  anyOf:
                                    - type: object
                                      properties:
                                        courseType:
                                          type: string
                                          enum:
                                            - RecordedCourse
                                          description: The type of the course.
                                        createdAt:
                                          type: string
                                          description: >-
                                            Date when the course was created in ISO
                                            8601 format.
                                        lastUpdatedAt:
                                          type: string
                                          description: >-
                                            Date when the course was last updated in
                                            ISO 8601 format.
                                        instructors:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              name:
                                                type: string
                                                description: Name of the instructor.
                                              profilePhotoUrl:
                                                type: string
                                                format: uri
                                                description: URL of the instructor's profile photo.
                                              longDescriptionMarkdown:
                                                type: string
                                                nullable: true
                                                description: >-
                                                  A long description of the instructor in
                                                  Markdown format.
                                              tagline:
                                                type: string
                                                nullable: true
                                                description: A short tagline for the instructor.
                                            required:
                                              - name
                                              - profilePhotoUrl
                                        courseItems:
                                          type: array
                                          items:
                                            allOf:
                                              - type: object
                                                properties:
                                                  courseItemId:
                                                    type: string
                                                    description: Unique ID for the course item.
                                                  sectionName:
                                                    type: string
                                                    description: >-
                                                      The name of the section this course item
                                                      belongs to.
                                                  link:
                                                    type: string
                                                    format: uri
                                                    description: >-
                                                      A URL to view the course item on the
                                                      web.
                                                  isFreePreviewAvailable:
                                                    type: boolean
                                                    description: >-
                                                      Whether this course item is available as
                                                      a free preview.
                                                required:
                                                  - courseItemId
                                                  - sectionName
                                                  - link
                                                  - isFreePreviewAvailable
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Article
                                                      articleTitle:
                                                        type: string
                                                        description: Title of the article.
                                                    required:
                                                      - type
                                                      - articleTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Contest
                                                      contestTitle:
                                                        type: string
                                                        description: Title of the contest.
                                                    required:
                                                      - type
                                                      - contestTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Lab
                                                      labTitle:
                                                        type: string
                                                        description: Title of the lab.
                                                    required:
                                                      - type
                                                      - labTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - LiveClass
                                                      liveClassTitle:
                                                        type: string
                                                        description: Title of the live class.
                                                    required:
                                                      - type
                                                      - liveClassTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - LiveEvent
                                                      liveEventTitle:
                                                        type: string
                                                        description: Title of the live event.
                                                    required:
                                                      - type
                                                      - liveEventTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Quiz
                                                      quizTitle:
                                                        type: string
                                                        description: Title of the quiz.
                                                    required:
                                                      - type
                                                      - quizTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Video
                                                      videoTitle:
                                                        type: string
                                                        description: Title of the video.
                                                      videoDurationInSeconds:
                                                        type: number
                                                        description: Duration of the video in seconds.
                                                    required:
                                                      - type
                                                      - videoTitle
                                                      - videoDurationInSeconds
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Ebook
                                                      ebookTitle:
                                                        type: string
                                                        description: Title of the ebook.
                                                    required:
                                                      - type
                                                      - ebookTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - IframeEmbed
                                                      title:
                                                        type: string
                                                    required:
                                                      - type
                                                      - title
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Resources
                                                      title:
                                                        type: string
                                                    required:
                                                      - type
                                                      - title
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - ScormFile
                                                    required:
                                                      - type
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Assignment
                                                    required:
                                                      - type
                                      required:
                                        - courseType
                                        - createdAt
                                        - lastUpdatedAt
                                        - instructors
                                        - courseItems
                                    - type: object
                                      properties:
                                        courseType:
                                          type: string
                                          enum:
                                            - CohortBasedCourse
                                          description: The type of the course.
                                        createdAt:
                                          type: string
                                          description: >-
                                            Date when the course was created in ISO
                                            8601 format.
                                        lastUpdatedAt:
                                          type: string
                                          description: >-
                                            Date when the course was last updated in
                                            ISO 8601 format.
                                        instructors:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              name:
                                                type: string
                                                description: Name of the instructor.
                                              profilePhotoUrl:
                                                type: string
                                                nullable: true
                                                format: uri
                                                description: URL of the instructor's profile photo.
                                              longDescriptionMarkdown:
                                                type: string
                                                nullable: true
                                                description: >-
                                                  A long description of the instructor in
                                                  Markdown format.
                                              tagline:
                                                type: string
                                                nullable: true
                                                description: A short tagline for the instructor.
                                            required:
                                              - name
                                        courseItems:
                                          type: array
                                          items:
                                            allOf:
                                              - type: object
                                                properties:
                                                  courseItemId:
                                                    type: string
                                                    description: Unique ID for the course item.
                                                  sectionName:
                                                    type: string
                                                    minLength: 1
                                                    description: Name of section here
                                                  link:
                                                    type: string
                                                    format: uri
                                                    description: >-
                                                      A URL to view the course item on the
                                                      web.
                                                  isFreePreviewAvailable:
                                                    type: boolean
                                                    description: >-
                                                      Whether this course item is available as
                                                      a free preview.
                                                required:
                                                  - courseItemId
                                                  - link
                                                  - isFreePreviewAvailable
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Article
                                                      articleTitle:
                                                        type: string
                                                        description: Title of the article.
                                                    required:
                                                      - type
                                                      - articleTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Contest
                                                      contestTitle:
                                                        type: string
                                                        description: Title of the contest.
                                                    required:
                                                      - type
                                                      - contestTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Resources
                                                      title:
                                                        type: string
                                                    required:
                                                      - type
                                                      - title
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Lab
                                                      labTitle:
                                                        type: string
                                                        description: Title of the lab.
                                                    required:
                                                      - type
                                                      - labTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - LiveClass
                                                      liveClassTitle:
                                                        type: string
                                                        description: Title of the live class.
                                                    required:
                                                      - type
                                                      - liveClassTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - LiveEvent
                                                      liveEventTitle:
                                                        type: string
                                                        description: Title of the live event.
                                                    required:
                                                      - type
                                                      - liveEventTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - IframeEmbed
                                                      title:
                                                        type: string
                                                    required:
                                                      - type
                                                      - title
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Quiz
                                                      quizTitle:
                                                        type: string
                                                        description: Title of the quiz.
                                                    required:
                                                      - type
                                                      - quizTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Video
                                                      videoDurationInSeconds:
                                                        type: number
                                                        description: Duration of the video in seconds.
                                                      videoTitle:
                                                        type: string
                                                        description: Title of the video.
                                                    required:
                                                      - type
                                                      - videoDurationInSeconds
                                                      - videoTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Ebook
                                                      ebookTitle:
                                                        type: string
                                                        description: Title of the ebook.
                                                    required:
                                                      - type
                                                      - ebookTitle
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - ScormFile
                                                    required:
                                                      - type
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - Assignment
                                                    required:
                                                      - type
                                      required:
                                        - courseType
                                        - createdAt
                                        - lastUpdatedAt
                                        - instructors
                                        - courseItems
                              required:
                                - response
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output

````